<?php
include_once (dirname(__File__) . "/../bsm/data/Api.php");
include_once (dirname(__File__) . "/../bsm/data/Localization.php");

//Variablen initialisieren
//Array -> Check empty and array
if(empty($Call_Args) || !is_array($Call_Args)){
	throw new Exception("Arguments are not given or no array");
}
if(!array_key_exists('action', $Call_Args)){
	throw new Exception("Argument 'action' not given in array");
}	

//Parameter 'async' auf false setzen
$Call_Args['async'] = false;
//Action setzen
$Call_UniqueId = uniqid();
$Call_Url = admin_url('admin-ajax.php');

if(!empty($_GET)){
	
	$Call_Url .= "?" . http_build_query($_GET);
}

?>
<script type="text/javascript">

	(function($){
		$(document).ready(function(){
		
			$.ajax({
				url: <?php echo json_encode($Call_Url); ?>,
				type: "POST",
				async: true,
				timeout: <?php echo Api::TIMEOUT * 1000; ?>,
				data: <?php echo json_encode($Call_Args); ?>,			
			    success: function(response){
			    	$("#<?php echo $Call_UniqueId; ?>").replaceWith($(response));
			    },
			    error: function(jqXHR){		    
			    	$("#<?php echo $Call_UniqueId; ?>").replaceWith($("<p><?php echo Localization::GLOBAL_AJAX_ERROR_IN_SHORTCODE; ?></p>"));
			    }			   
			});
		});
	})(jQuery.noConflict());

</script>
<div id="<?php echo $Call_UniqueId; ?>" data-bsm="data-bsm" data-type="container" data-object-type="dynamic/ajax">
	<img src="<?php echo plugins_url("bsm-wordpress-plugin/img/ajax-loader.gif") ; ?>" alt="<?php echo Localization::GLOBAL_AJAX_LOADING; ?>" data-icon-for="loading" />
</div>