<?php
include_once ("data/Localization.php");

//Variablen initialisieren
//Bool -> Check !isset
if(!isset($DynamicNavigator_IsEnd)){
	$DynamicNavigator_IsEnd = false;
}
//String -> Check empty
if(empty($DynamicNavigator_ObjectType)){
	$DynamicNavigator_ObjectType = "dynamic/usercode";
}
//String -> Check empty
if(empty($DynamicNavigator_DetailsUrl)){
	throw new Exception("No details url given");
}

$urlParts = parse_url($DynamicNavigator_DetailsUrl);

// check if absolute URL
if($urlParts['scheme']) {
	$url = $urlParts['scheme'] . '://' . $urlParts['host'] . $urlParts['path'];
} else {
	$url = $urlParts['path'];
}

$query = $urlParts['query'];

$hiddenParameters = array();
if($query){
	parse_str(html_entity_decode($query), $hiddenParameters);
}

?>
<?php if(!$DynamicNavigator_IsEnd): ?>
<div data-bsm="data-bsm" data-type="navigator" data-object-type="<?php echo $DynamicNavigator_ObjectType; ?>">
	<form action="<?php echo $url; ?>" method="GET">
		<fieldset>
				<legend><?php echo Localization::DYNAMICNAVIGATOR_LEGEND; ?></legend>
<?php //Content ?>
<?php else: ?>
				<div data-entry-for="hidden_and_submit">		
					<?php foreach ($hiddenParameters as $key => $value): ?>
					<input type="hidden" name="<?php echo $key; ?>" value="<?php echo $value; ?>" />
					<?php endforeach; ?>
					<button type="submit"><?php echo Localization::DYNAMICNAVIGATOR_BUTTON; ?></button>
				</div>
		</fieldset>
	</form>
</div>
<?php endif; ?>