<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
if(empty($MatchCalendarCaller_Data)){
//	$MatchCalendarCaller_Data = null;
	$MatchCalendarCaller_Data = "league"; //RR: erstmal fix hinterlegt
}
//String/Int != 0 -> Check empty
if(empty($MatchCalendarCaller_League)){
	$MatchCalendarCaller_League = null;
}
//String/Int != 0 -> Check empty
if(empty($MatchCalendarCaller_Club)){
	$MatchCalendarCaller_Club = null;
}
//String -> Check empty
if(empty($MatchCalendarCaller_Club_FilterSettings)){
	$MatchCalendarCaller_Club_FilterSettings = null;
}
//Int != 0 -> Check empty
if(empty($MatchCalendarCaller_Season)){
	$MatchCalendarCaller_Season = null;
}
//String -> Check empty
if(empty($MatchCalendarCaller_Exclude_Leagues)){
	$MatchCalendarCaller_Exclude_Leagues = null;
}
//String -> Check empty
if(empty($MatchCalendarCaller_Only_Leagues)){
	$MatchCalendarCaller_Only_Leagues = null;
}
//String -> Check empty
if(empty($MatchCalendarCaller_Mode)){
	$MatchCalendarCaller_Mode = "link";
}
else if($MatchCalendarCaller_Mode != "link" && $MatchCalendarCaller_Mode != "icon"){
	throw new Exception("Mode has only 2 valid values: 'link' (default) and 'icon', but '" . $MatchCalendarCaller_Mode . "' was set");
}
//String -> Check empty
if(empty($MatchCalendarCaller_CallMode)){
	$MatchCalendarCaller_CallMode = "download";
}
else if($MatchCalendarCaller_CallMode != "download" && $MatchCalendarCaller_CallMode != "feed"){
	throw new Exception("CallMode has only 2 valid values: 'download' (default) and 'feed', but '" . $MatchCalendarCaller_CallMode . "' was set");
}

$MatchCalendarCaller_Text = null;
$MatchCalendarCaller_Url = Helper::UrlForDynamicResource("MatchCalendar.php");

//CallMode
if($MatchCalendarCaller_CallMode === "feed"){
	
	//Url ndern
	$MatchCalendarCaller_Scheme = parse_url($MatchCalendarCaller_Url, PHP_URL_SCHEME);
	$MatchCalendarCaller_SchemePos = strpos($MatchCalendarCaller_Url, $MatchCalendarCaller_Scheme);
	if ($MatchCalendarCaller_SchemePos !== false) {
		$MatchCalendarCaller_Url = substr_replace($MatchCalendarCaller_Url, "webcal", $MatchCalendarCaller_SchemePos, strlen($MatchCalendarCaller_Scheme));
	}
	
	//Text setzen
	$MatchCalendarCaller_Text = Localization::MATCHCALENDARCALLER_TEXT_FEED;
}
else{
	
	//Text setzen
	$MatchCalendarCaller_Text = Localization::MATCHCALENDARCALLER_TEXT_DOWNLOAD;
}

//Parameterbergabe
$MatchCalendarCaller_Url_Params = parse_url($MatchCalendarCaller_Url, PHP_URL_QUERY);
$MatchCalendarCaller_Url_Param_Delimiter = $MatchCalendarCaller_Url_Params ? "&amp;" : "?";
if(!empty($MatchCalendarCaller_League)){
	
	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_league=" . $MatchCalendarCaller_League;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Club)){

	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_club=" . $MatchCalendarCaller_Club;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Club_FilterSettings)){

	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_club_filtersettings=" . $MatchCalendarCaller_Club_FilterSettings;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Season)){
	
	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_season=" . $MatchCalendarCaller_Season;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Exclude_Leagues)){

	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_exclude_leagues=" . $MatchCalendarCaller_Exclude_Leagues;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Only_Leagues)){

	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_only_leagues=" . $MatchCalendarCaller_Only_Leagues;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
if(!empty($MatchCalendarCaller_Data)){

	$MatchCalendarCaller_Url .= $MatchCalendarCaller_Url_Param_Delimiter . "bsm_data=" . $MatchCalendarCaller_Data;
	$MatchCalendarCaller_Url_Param_Delimiter = "&amp;";
}
?>
<div data-bsm="data-bsm" data-type="caller" data-object-type="match">
	<a href="<?php echo $MatchCalendarCaller_Url; ?>"<?php if($MatchCalendarCaller_Mode === "icon"): ?> title="<?php echo $MatchCalendarCaller_Text; ?>"<?php endif;?>><?php if($MatchCalendarCaller_Mode === "icon"): ?><img src="<?php echo Helper::UrlForImage("calendar.png")?>" alt="<?php echo $MatchCalendarCaller_Text; ?>" data-icon-for="calendar" /><?php else: ?><?php echo $MatchCalendarCaller_Text; ?><?php endif; ?></a>
</div>