<?php
include_once ("data/Api.php");
include_once ("data/Helper.php");
include_once ("data/Localization.php");

//Variablen initialisieren
//String/Int != 0 -> Check empty
/*
if(empty($LeagueGroup_ClassID)){
	throw new Exception("No league given");
}
*/
if(empty($LeagueGroupTeam_leagueTeamID)){
	throw new Exception("No leagueTeam given");
}
//String -> Check empty
if(empty($LeagueGroupTeam_Data)){
	$LeagueGroupTeam_Data = null;
}
//Bool -> Check !isset
// if(!isset($LeagueGroup_Use_EMailIcon)){
// 	$LeagueGroup_Use_EMailIcon = false;
// }

//Initalisieren der Show Variablen
$LeagueGroupTeam_Data_Array = Helper::ConvertParameterListToArray($LeagueGroupTeam_Data);

$LeagueGroupTeam_Show_Name = in_array("name", $LeagueGroupTeam_Data_Array);
$LeagueGroupTeam_Show_Season = in_array("season", $LeagueGroupTeam_Data_Array);
$LeagueGroupTeam_Show_Team = in_array("team", $LeagueGroupTeam_Data_Array);

$LeagueGroupTeam_Max_HeaderLevel = $LeagueGroupTeam_Show_Name ? 5 : 6;

//Int != 0 -> Check empty
if(empty($LeagueGroupTeam_HeaderLevel)){
	$LeagueGroupTeam_HeaderLevel = 2;
}
else if(!is_numeric($LeagueGroupTeam_HeaderLevel) || $LeagueGroupTeam_HeaderLevel < 1 || $LeagueGroupTeam_HeaderLevel > $LeagueGroupTeam_Max_HeaderLevel){
	throw new Exception("HeaderLevel must be a numeric value between 1 and " . $LeagueGroupTeam_Max_HeaderLevel);
}

// (Statistic) Liga erhalten
$LeagueTeam = Api::GetStatisticsLeagueTeamForLeague( $LeagueGroupTeam_leagueTeamID, "offense" );

?>
<div data-bsm="data-bsm" data-type="detail" data-object-type="leagueGroupTeam">
	<<?php echo $LeagueGroupTeam_Show_Name ? "article" : "div"; ?>>
	    <?php if($LeagueGroupTeam_Show_Name): ?>
		<h<?php echo $LeagueGroupTeam_HeaderLevel; ?>>
			<?php echo $LeagueTeam->GetLeagueEntry()->GetLeague()->GetName(); ?>
		    <?php if($LeagueGroupTeam_Show_Season): ?>
				<?php echo $LeagueTeam->GetLeagueEntry()->GetLeague()->GetSeason(); ?>
		    <?php endif; ?>		
		    <?php if($LeagueGroupTeam_Show_Team): ?>
				<?php echo " - " . $LeagueTeam->GetLeagueEntry()->GetGameClassEntry()->GetTeam()->GetName(); ?>
		    <?php endif; ?>		
		</h<?php echo $LeagueGroupTeam_HeaderLevel; ?>>
		<?php endif; ?>
	</<?php echo $LeagueGroupTeam_Show_Name ? "article" : "div" ?>>
</div>
